/**
     env.h

     shell environment variables handling

     Petr Zika 2002
*/

#ifndef _ENV_H
#define _ENV_H

#include "../comdefs.h"

EXPORT int init_vars(char **env);
EXPORT int done_vars(void);
EXPORT int set_variable(char *nam, char *val);
EXPORT char *get_variable(char *nam);
EXPORT int export_variable(char *nam);
EXPORT int localize_variable(char *nam);
EXPORT int unset_variable(char *nam);
EXPORT char **get_env(void);
EXPORT void print_env(void);
EXPORT void print_local(void);

#endif /* ifndef _ENV_H */


