/**
       lexer.h
 
       lexical parser
 
       Petr Zika 2002
*/

#ifndef _LEXER_H
#define _LEXER_H

#include "../comdefs.h"

/* maximum input line length */
#define MAX_LINE 1024

/* lexer states */
#define LEX_CHECK 0
#define LEX_BUILD 1

EXPORT int lex_state;
EXPORT char *lex_word;

EXPORT int init_lex_parser(char *line);
EXPORT int done_lex_parser(void);
EXPORT int read_lex(void);

#endif /* ifndef _LEXER_H */

