/**
     utils.h
 
     support functions
 
     Petr Zika 2002
*/                                                                                                               

#ifndef _UTILS_H
#define _UTILS_H

#include <stddef.h> 
#include "../comdefs.h"

#define NEW(type) (type *)(safe_malloc(sizeof(type)))
#define MALLOC(size) (safe_malloc(size))
#define STRDUP(str) safe_strdup(str)

EXPORT void *safe_malloc(size_t size);
EXPORT char *safe_strdup(char *s);

#endif /* ifndef _UTILS_H */

